libopenshot (0.5.0+dfsg1-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Jan 2026 11:28:06 +0000

libopenshot (0.5.0+dfsg1-1build1) resolute; urgency=medium

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Sun, 04 Jan 2026 12:22:27 +0000

libopenshot (0.5.0+dfsg1-1) unstable; urgency=medium

  * Bump SONAME to 28.
  * Rename libopenshot27 to libopenshot28.
  * Fix examples build by adding missing openshot-audio link.
  * Add missing cmake_minimum_required and project to examples/CMakeLists.txt.
  * Fix hardcoded paths in Example.cpp to use local files.
  * [a24da9a] New upstream version 0.4.0+dfsg1. (Closes: #1115028)
  * [3b08f7e] Bump SONAME to 27 and update deps
  * [5df2a9a] Fix examples build and add autopkgtests

 -- Anton Gladky <gladk@debian.org>  Mon, 29 Dec 2025 21:30:13 +0100

libopenshot (0.3.3+dfsg1-3) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.7.2 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
    Remove unused license definitions for BSL-1.0.

 -- Anton Gladky <gladk@debian.org>  Wed, 15 Oct 2025 23:35:55 +0200

libopenshot (0.3.3+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Add Build-Depends: setuptools

 -- Bastian Germann <bage@debian.org>  Sun, 23 Mar 2025 16:57:35 +0100

libopenshot (0.3.3+dfsg1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.3.3+dfsg1 (Closes: #1072431, #1080957)
  * Build with imagemagick 7 (Closes: #1086933)

 -- Bastian Germann <bage@debian.org>  Sat, 18 Jan 2025 11:03:34 +0100

libopenshot (0.3.2+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062509

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 16:02:52 +0000

libopenshot (0.3.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * No change source upload to allow testing migration

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 13 Oct 2023 12:56:19 +0200

libopenshot (0.3.2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.3.2+dfsg1
    - Update Build-Depends on libopenshot-audio-dev (>= 0.3.2)
    - Update .SO name for new upstream version
    - Refresh patches, remove those applied upstream
    - Add Build-Depends on libqt5svg5-dev
  * Update gbp.conf to DEP-14
  * Update Standards-Version to 4.6.2, no changes needed
  * Remove myself from uploaders
  * Update d/copyright for removed files

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 11 Oct 2023 15:46:16 +0200

libopenshot (0.2.7+dfsg1-4) unstable; urgency=medium

  [ Stephan Lachnit ]
  * [82bb3f0] zmq.hpp now in cppzmq-dev. Update dependency. (Closes: #1020020)

  [ Anton Gladky ]
  * [425ba77] Update watch file format version to 4.

 -- Anton Gladky <gladk@debian.org>  Wed, 21 Sep 2022 06:54:10 +0200

libopenshot (0.2.7+dfsg1-3) unstable; urgency=medium

  * Team upload
  * debian/patches: Apply upstream patches to fix FTBFS with ffmpeg 5.0
    (Closes: #1004763)
  * debian/control: Bump Standards-VVersion

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Jul 2022 11:13:56 +0200

libopenshot (0.2.7+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Mar 2022 20:39:17 +0100

libopenshot (0.2.7+dfsg1-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.2.7+dfsg1
  * SONAME bump: libopenshot19 -> libopenshot21
  * debian/control:
    - Add BD on libasound2-dev
    - Bump libopenshot-audio-dev BD
  * debian/patches:
    - Remove old patches
    - Include SOVERSION in VERSION
  * debian/copyright: Update copyright years and information
  * debian/rules:
    - Remove unused -DLIB_SUFFIX
    - No longer specify -Wl,--as-needed

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 05 Mar 2022 15:35:00 +0100

libopenshot (0.2.5+dfsg1-6) unstable; urgency=medium

  * Team upload

  [ Gianfranco Costamagna ]
  * debian/patches/698.patch:
    - cherry-pick a rebase of an upstream patch for FFMPEG 4.4-6
      test failure (Closes: #994205)
      - thanks Nicola Ferralis for the help and patch!

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 13 Oct 2021 22:01:31 +0200

libopenshot (0.2.5+dfsg1-5) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Switch to libswresample-dev (Closes: #971327)
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 16 Aug 2021 09:45:01 +0200

libopenshot (0.2.5+dfsg1-4) unstable; urgency=medium

  * [2131f12] Fix FTBFS due to gcc-10 and ffmpeg. (Closes: #967016)

 -- Anton Gladky <gladk@debian.org>  Thu, 13 Aug 2020 22:49:03 +0200

libopenshot (0.2.5+dfsg1-3) unstable; urgency=medium

  * [72291de] Trim trailing whitespace.
  * [43689f7] Add d/not-installed. (Closes: #964666)

 -- Anton Gladky <gladk@debian.org>  Wed, 15 Jul 2020 20:46:25 +0200

libopenshot (0.2.5+dfsg1-2) unstable; urgency=medium

  * [21078a8] Fix build-all
  * [7fce00f] Add d/clean

 -- Anton Gladky <gladk@debian.org>  Wed, 24 Jun 2020 16:39:33 +0200

libopenshot (0.2.5+dfsg1-1) unstable; urgency=medium

  * Upload into unstable. (Closes: #955156)

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Jun 2020 22:46:18 +0200

libopenshot (0.2.5+dfsg1-1~exp1) experimental; urgency=medium

  [ Ondřej Nový ]
  * [683f32a] Use debhelper-compat instead of debian/compat

  [ Anton Gladky ]
  * [60960b8] Remove all patches
  * [ecac4d4] Change so-version to 19
  * [5d17ffc] Use secure URI in Homepage field.
  * [b5698b3] Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * [623db13] New upstream version 0.2.5+dfsg1. (Closes: #925754, #949216)
  * [63703f2] Bump Standards-versions to 4.5.0
  * [0b59867] Set compat-level to 13
  * [f82dfb8] Set versioned dependency on libopenshot-audio-dev
  * [d94b394] Update paths in docs
  * [43a117c] Add myself to uploaders
  * [b501294] Add Rules-Requires-Root: no

 -- Anton Gladky <gladk@debian.org>  Fri, 19 Jun 2020 23:01:51 +0200

libopenshot (0.2.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.2.2+dfsg1
    - This version should be compatible with ffmpeg 3 and 4.
    - Drop patch for ffmpeg 4, no longer needed
    - Bump .so version to 16
  * Update Standards-Version to 4.2.1, no changes needed
  * Remove Multi-Arch field from python3-openshot, fixes a lintian warning

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 22 Sep 2018 22:41:04 +0200

libopenshot (0.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.2.0+dfsg1
  * Update patches
  * Bump soversion to 15
  * Update Standards-Version to 4.2.0, no changes needed
  * Fix wrong path for doc-base files

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 21 Aug 2018 16:56:42 +0200

libopenshot (0.1.9+dfsg1-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ James Cowgill ]
  * Add patch to fix FTBFS with FFmpeg 4.0 (Closes: #888364)

  [ Dr. Tobias Quathamer ]
  * Use debhelper v11
  * Update to Standards-Version 4.1.4, no changes needed

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jul 2018 21:09:07 +0200

libopenshot (0.1.9+dfsg1-3) unstable; urgency=medium

  * Add new patch to really fix the FTBFS on arm64. (Closes: #879074)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 18 Nov 2017 14:50:58 +0100

libopenshot (0.1.9+dfsg1-2) unstable; urgency=medium

  * New patch to fix failing tests on some non-x86 architectures.
    (Closes: #879074, #879075)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 18 Nov 2017 14:02:30 +0100

libopenshot (0.1.9+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.1.9+dfsg1
  * Use 'dfsg' as repack suffix
  * Bump .so version to 14

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 15 Nov 2017 10:46:57 +0100

libopenshot (0.1.8+ds1-3) unstable; urgency=medium

  * Remove symbols file.
    The file makes the build fail on i386 and seems to be too
    fragile at the current stage to be included. Adding the
    file back might work later on, when upstream development
    has slowed down a bit.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 28 Oct 2017 15:51:59 +0200

libopenshot (0.1.8+ds1-2) unstable; urgency=medium

  * Add symbols file
  * Update Standards-Version to 4.1.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 24 Oct 2017 21:22:19 +0200

libopenshot (0.1.8+ds1-1) unstable; urgency=medium

  * New upstream version 0.1.8+ds1
    - Fix FTBFS due to failing tests. Closes: #875969
  * Refresh patches
  * Bump soversion to 13
  * Adopt package. (Closes: #872904)
  * Update Standards-Version to 4.1.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 26 Sep 2017 16:55:53 +0200

libopenshot (0.1.7+ds1-1) experimental; urgency=medium

  * Switch from git-dpm to gbp
    - Drop git-dpm configuration
    - Unapply the patch queue
    - Add gbp configuration
    - Refresh the patch queue
    - Drop patch numbering
  * New upstream version 0.1.7+ds1
  * Rebase the patch queue
    - Drop Capture-multi-digit-version-numbers.patch, applied upstream
  * Bump soversion to 12
  * Update copyright information.
    Thanks to Chris Lamb (Closes: #855347)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 13 Jun 2017 11:44:12 +0100

libopenshot (0.1.3+ds1-1) experimental; urgency=medium

  * New upstream release
  * Do not run `make install` in arch-indep builds
  * Bump soname of shlibs package to 10
  * Cherry-pick proposed fix for soversion parsing
    - New patch 0003-Capture-multi-digit-version-numbers.patch

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 04 Feb 2017 14:26:25 +0000

libopenshot (0.1.2+ds1-3) experimental; urgency=medium

  * Build depends on ImageMagick specifically
  * Fix arch-indep builds

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 01 Feb 2017 10:18:41 +0000

libopenshot (0.1.2+ds1-2) experimental; urgency=medium

  * Add missing build dependency on pkg-config
  * Drop versioned dependency on swig
  * Support the nodoc build profile
    - Add versioned build dependency on dpkg-dev
    - Mark documentation b-deps and packages as !nodoc
    - Do not build the documentation if nodoc is requested

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 31 Jan 2017 11:04:22 +0000

libopenshot (0.1.2+ds1-1) experimental; urgency=low

  * Initial release. (Closes: #810786)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 16 Dec 2016 12:41:46 +0000
